/*
  HTTP sender
  Language: Processing
  Uses the Processing net library to make an HTTP request.
*/

import processing.net.*;        // gives you access to the net library

Client client;                  // a new net client
boolean requestInProgress;      // whether a net request is in progress
String responseString = "";     // string of text received by client
void setup()
{
  // Open a connection to the host:
  client = new Client(this, "example.com", 80);

  // Send the HTTP GET request:
  client.write(
    "GET  /catcam/cat-script.php?sensorValue=321 HTTP/1.0\r\n");
  client.write("HOST: example.com\r\n\r\n");
  // note that you've got a request in progress:
  requestInProgress = true;
}

void draw()
{
  // available() returns how many bytes have been received by the client:
  if (client.available() > 0) {
    // read a byte, convert it to a character, and add it to the string:
    responseString +=char(client.read());    

    // add to a line of |'s on the screen (crude progress bar):
    print("|");
  } 
  // if there's no bytes available, either the response 
  // hasn't started yet, or it's done:
  else { 
  // if responseString is longer than 0 bytes, the response has started:
    if(responseString.length() > 0 )  {
      // you've got some bytes, but now there's no more to read. Stop:
      if(requestInProgress == true) {
        // print the response:
        println(responseString);
        // note that the request is over:
        requestInProgress = false;
        // reset the string  for future requests:
        responseString = "";
      }
    }
  }
}
