<?php
/*
RFID mail reader
 Language: PHP
Parses a POP email box for a specific message from an Xport. The message looks like this:
    From:    myAccountName@myMailhost.com
    Subject: Notification: Tag one
    Date:    June 21, 2007 6:11:59 PM EDT
    To:      myAccountName@myMailhost.com 

*/

include('POP3.php');

// keep your personal info in a separate file:
@include_once("pwds.php");

echo "Checking mail...";

// New instance of the Net_POP3 class:
$pop3 =& new Net_POP3();

// Connect to the mail server:
$pop3->connect($host , $port);

// Send login info:
$pop3->login($user , $pass , 'APOP');

// Get a count of the number of new messages waiting:
$numMsgs = $pop3->numMsg();

echo "<pre>\n";
echo "Number of messages: $numMsgs\n";

// iterate over the messages:
for ($thisMsg = 1; $thisMsg <= $numMsgs; $thisMsg++) {
    // parse the headers for each message into
    // an array called $header:
    $header = $pop3->getParsedHeaders($thisMsg);
    
    // print the subject header:
    $subject = $header["Subject"];    
    // look for the word "Notification" before a colon
    // in the subject:
    $words = explode(":", $subject);
    
    // only do the rest if this mail message is a notification:
    if ($words[0] == "Notification"){
        // get the second half of the subject; that's the tag ID:
        $idTag = $words[1];
        // print it;
        echo "$idTag showed up at address\t";
    
        /*
            the IP address is buried in the "Received" header.
            That header is an array. The second element contains
            who it's from.  In that string, the IP is the first
            thing contained in square brackets. So:
        */
        
        // get the stuff in the right array element after the
        // opening square bracket:
        $receivedString = explode("[", $header["Received"][1]);
        // throw away the stuff after the closing bracket:
        $recdString2 = explode("]", $receivedString[1]);
        // what's left is the IP address:
        $ipAddress = $recdString2[0];
        
        // print the IP address:
        echo "$ipAddress at \t";
        
        // print the date header:
        $date = $header["Date"];
        echo "$date\t";
        echo "\n";
    }

}

echo "That's all folks";
echo "</pre>";

// disconnect:
$pop3->disconnect();
?>
